Subject: Re: [GIT] Networking

From: Kalle Valo <[email-masked]>
Date: Wed, 24 Oct 2018 08:05:45 +0000

Kalle Valo <[email-masked]> writes:

> Linus Torvalds <[email-masked]> writes:
>
>> On Wed, Oct 24, 2018 at 7:01 AM Linus Torvalds
>> <[email-masked]> wrote:
>>>
>>> Hmm. Tentatively pulled, but there's something wrong with the Kconfig rules.
>>
>> Confirmed.
>
> BTW, our emails crossed and more info in the other email[1].
>
>> I did a978a5b8d83f ("net/kconfig: Make QCOM_QMI_HELPERS available when
>> COMPILE_TEST") to fix the breakage.
>
> Thanks, though I don't see it yet as I guess you haven't pushed it yet.
> Do note that it _might_ conflict the other commit which I suspect is in
> also coming to you:
>
> ccfb464cd106 ("soc: qcom: Allow COMPILE_TEST of qcom SoC Kconfigs")

git.kernel.org is alive again for me so I can now check both commits. It
seems that Niklas' commit[1] is more finegrained than what Linus did[2].
I guess either of the commits should be reverted when Niklas' commit
goes to Linus tree, or what's the best course of action?

[1] https://git.kernel.org/pub/scm/linux/kernel/git/agross/linux.git/commit/?h=for-next&id=ccfb464cd106890cfa51070f75921a273e2852e5

[2] https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=a978a5b8d83f795e107a2ff759b28643739be70e

-- 
Kalle Valo